## org.apache.lucene.analysis.uima
Class UIMABaseAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.uima.UIMABaseAnalyzer

All Implemented Interfaces:
  Closeable

    public final class UIMABaseAnalyzer

extends Analyzer

An `Analyzer` which use the `UIMAAnnotationsTokenizer` for creating tokens

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

Constructor Summary
`UIMABaseAnalyzer(String descriptorPath, String tokenType, Map<String,Object> configurationParameters)`

Method Summary
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIMABaseAnalyzer

    public UIMABaseAnalyzer(String descriptorPath,
                            String tokenType,
                            Map<String,Object> configurationParameters)

Method Detail

### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                              Reader reader)

  Specified by:
    `createComponents` in class `Analyzer`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.